#include "std_includes.h"
#include "structs.h"

int init_interfaces();
int reinit_interface(struct interface_context *ifc);

void send_buffer(struct interface_context *ifc, unsigned char *buf, int length);

void read_from_interface(struct interface_context *ifc,
	void (*handle_packet)(unsigned char from[6], struct interface_context *ifc, 
			      unsigned char* buf, int size));

void recv_dcbx (
	void (*handle_packet)(unsigned char from[6], struct interface_context *ifc,unsigned char* buf, int size),
		void (*handle_error)(struct interface_context *ifc));

int find_interface_by_name(char *name);

int create_vlan(struct interface_context *ifc);
