#ifndef BACKPORT_LINUX_MOUNT_H
#define BACKPORT_LINUX_MOUNT_H

#include_next <linux/mount.h>

struct file_system_type;
static inline struct vfsmount *vfs_kern_mount(struct file_system_type *type,
					      int flags, const char *name, void *data)
{
	/* NB: First field of file_system_type is the name */
	return do_kern_mount((const char *)type, flags, name, data);
}

#endif
