
%{!?KVERSION: %define KVERSION %(uname -r)}
%{!?OFC_CONF_DIR: %define OFC_CONF_DIR /etc/sysconfig/ofc}
%{!?LIB_MOD_DIR: %define LIB_MOD_DIR /lib/modules/%{KVERSION}/updates}
%{!?LIB_MOD_DIR_FC: %define LIB_MOD_DIR_FC %{LIB_MOD_DIR}/kernel/drivers/scsi/mlx4_fc}

%{!?MLX4_KERNEL_DIR: %define MLX4_KERNEL_DIR /usr/src/ofa_kernel}
%{!?MLX4_KERNEL_INCLUDE: %define MLX4_KERNEL_INCLUDE %{MLX4_KERNEL_DIR}/include}
%{!?KSRC: %define KSRC /lib/modules/%{KVERSION}/build}
%define OFC_MAKEFLAGS KVERSION=%{KVERSION} MLX4_KERNEL_DIR=%{MLX4_KERNEL_DIR} OPENFCOE_DIR=%{OPENFCOE_DIR} MLX4_KERNEL_INCLUDE=%{MLX4_KERNEL_INCLUDE} KSRC=%{KSRC} MODULES_DIR=%{LIB_MOD_DIR} LANG=C

%{!?_release: %define _release 1%{?dist}}

Summary: Open Fibre Channel module.
Name: mlnx-ofc
Version: 0.0.9
Release: %{_release}
Vendor: Mellanox Technologies Ltd.
Source: %{name}-%{version}.tar.gz
Group: System Environment/Kernel
License: GPLv2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: coreutils
PreReq: kernel
PreReq: kernel-ib-devel

%description
This package provides a OFC kernel module

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
make %{OFC_MAKEFLAGS}

%install
make install DESTDIR=$RPM_BUILD_ROOT %{OFC_MAKEFLAGS}
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 0755 scripts/mlxfc $RPM_BUILD_ROOT/etc/init.d/
install -d $RPM_BUILD_ROOT/etc/mlxfc
install -m 0644 scripts/mlxfc.conf $RPM_BUILD_ROOT/etc/mlxfc/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -r -ae %{KVERSION}
if ! ( /sbin/chkconfig --del mlxfc > /dev/null 2>&1 ); then
	true
fi
if ! ( /sbin/chkconfig --add mlxfc > /dev/null 2>&1 ); then
	true
fi

%postun
/sbin/depmod -r -ae %{KVERSION}
if ! ( /sbin/chkconfig --del mlxfc > /dev/null 2>&1 ); then
	true
fi

%files 
%dir %{LIB_MOD_DIR_FC}
%{LIB_MOD_DIR_FC}/mlx4_fc.ko
/etc/init.d/mlxfc
/etc/mlxfc/mlxfc.conf

%changelog
* Wed May  7 2008 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Initial packaging
